Subject: Re: [atoca] My use cases

From: Hannes Tschofenig <[email-masked]>
Date: Sat, 14 Jan 2012 11:38:08 +0200

Hi Brian, Carl, Marc, Richard, Randy James,  

if someone of you wants to collect text about the various different detailed use cases that's fine with me. I do, however, not see the need in our case. 

In Section 3 of http://tools.ietf.org/html/draft-ietf-atoca-requirements-02 I have currently listed a few examples to motivate the requirements for the underlying transport protocols. These are:

a) Point-to-Point Delivery of Alerts, and 
b) Multicast/Broadcast Alert Delivery

I don't see what the impact for an alert transport when a national authority vs. local authority approves the distribution of the warnings. 

I also do not see how the opt-in matters in many cases either, unless it has an impact for the protocols. So far we have a few requirements listed in Section 4.2 "Requirements for Alert Subscription" that IMHO covers the relevant aspects. 

What the uses cases, however, show is that there are two types of communication protocol classes, namely one that uses unicast delivery and a second one that relies on broadcast delivery. This is, btw, also supported by Richard's protocol strawman proposal. It seems to design a new protocol from scratch for (a) and (b). 
This is also what the current document talks about.

Ciao
Hannes

On Nov 20, 2011, at 5:10 PM, Rosen, Brian wrote:

> The use cases we are looking for now define our scope.
> 
> I have no problem with gleaning what we can from other's work.
> 
> I do think we have tried to include use cases beyond what is traditionally defined as authority to citizen alerting.
> 
> Right at the moment, we're mostly checking to see that we agree on scope.
> 
> Brian
> 
> On Nov 18, 2011, at 11:16 AM, Carl Reed wrote:
> 
>> For argument sake, should this group be defining alert use cases or should we be seeking well known, established and documented use cases? I suspect that many nations and jurisdictions have already defined use cases based on knowledge and requirements from the EM community.
>> 
>> Many are described in the ISCRAM proceedings:
>> For example: http://www.iscram.org/ISCRAM2009/papers/Contributions/167_CAP-ONES%20An%20Emergency%20Notification%20System_Malizia2009.pdf
>> 
>> And of course the US Government:
>> http://www.fema.gov/library/viewRecord.do?id=3999
>> http://clarus.meridian-enviro.com/nwpassage/files/NWPassage_ClarusUseCaseScenarios.pdf
>> 
>> And I know, based on discussions with the alerting community in Canada as part of ongoing CAP work, that are some excellent use cases defined by the Canadian alerting community.
>> 
>> And of course a variety of international activities such as those in GEO, WMO, and INSPIRE:
>> 
>> For example: http://www.wmo.int/pages/mediacentre/factsheet/Earlywarning_en.html
>> 
>> Cheers
>> 
>> Carl
>> 
>> 
>> -----Original Message----- From: Rosen, Brian
>> Sent: Thursday, November 17, 2011 11:20 PM
>> To: Randall Gellens
>> Cc: [email-masked]
>> Subject: Re: [atoca] My use cases
>> 
>> I think that the ISPs know who the local/regional/state/national authorities are, and can provide their credentials to endpoints.  I think "discovery" of an enterprise alert server is probably more conventional domain based and the act of subscribing establishes the credential exchange. While you don't really need object security for that case, I think we have it anyway for the broadcast case.
>> 
>> It's not a bad idea to have object security.  I'm not sure we really want to use some form of transport security if we have a good object security model.
>> 
>> So you get the credentials of the notifiers from the distribution point, and the objects are secured with those credentials.
>> 
>> Brian
>> 
>> On Nov 18, 2011, at 1:01 AM, Randall Gellens wrote:
>> 
>>> At 12:48 AM -0500 11/18/11, Brian Rosen wrote:
>>> 
>>>> I think that there is no difference we care about between a
>>>> national authority and a regional or local authority save the
>>>> notion that we can have all of them.  So whether it's a NOAA
>>>> weather alert, a state AMBER alert, or a local hazmat alert, they
>>>> have the same properties = broadcast for the geographic area they
>>>> affect with no opt-out, opt-in sub/not out of the area.
>>>> 
>>>> I think that once you get beyond the notion of government
>>>> authority, you are into something I class as "enterprise", and you
>>>> are likely in the sub/not opt-in only arena.  What differentiates
>>>> these use cases is that they come from a distribution point that
>>>> isn't tied to your ISP.
>>> 
>>> So, the authorization for an alert in the case of government is up to
>>> the ISPs in an area within the jurisdiction?  And for
>>> enterprise/organizational alerts, presumably the alert servers are
>>> federated and have local authorization?
>>> 
>>> -- 
>>> Randall Gellens
>>> Opinions are personal;    facts are suspect;    I speak for myself only
>>> -------------- Randomly selected tag: ---------------
>>> I'm prepared for all emergencies but totally unprepared for
>>> everyday life.
>> 
>> _______________________________________________
>> atoca mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/atoca 
>> _______________________________________________
>> atoca mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/atoca
> 
> _______________________________________________
> atoca mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/atoca